summaryrefslogtreecommitdiff
path: root/testprogs/blackbox/test_cifsdd.sh
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2008-04-16 16:12:58 +0200
committerAndrew Bartlett <abartlet@samba.org>2008-04-16 16:12:58 +0200
commit9586462b8f61f4e37b34f45e58293b143de63cb0 (patch)
tree9eb36abddf6d19fd01e1f25d13a7e732055d1451 /testprogs/blackbox/test_cifsdd.sh
parenta58df2f54c5847a6a3dddad51465c319f1c387f5 (diff)
parent228f342b1f12accbf3c07e1d2a1c9a5459ed966b (diff)
downloadsamba-9586462b8f61f4e37b34f45e58293b143de63cb0.tar.gz
samba-9586462b8f61f4e37b34f45e58293b143de63cb0.tar.bz2
samba-9586462b8f61f4e37b34f45e58293b143de63cb0.zip
Merge branch 'v4-0-test' of ssh://git.samba.org/data/git/samba into 4-0-abartlet
(This used to be commit 18dd8120cc35fe3d1cd4455c1f6a32b503274d97)
Diffstat (limited to 'testprogs/blackbox/test_cifsdd.sh')
-rwxr-xr-xtestprogs/blackbox/test_cifsdd.sh24
1 files changed, 4 insertions, 20 deletions
diff --git a/testprogs/blackbox/test_cifsdd.sh b/testprogs/blackbox/test_cifsdd.sh
index 23df04c84c..43564a0c77 100755
--- a/testprogs/blackbox/test_cifsdd.sh
+++ b/testprogs/blackbox/test_cifsdd.sh
@@ -14,40 +14,24 @@ USERNAME=$2
PASSWORD=$3
DOMAIN=$4
+. `dirname $0`/subunit.sh
+
samba4bindir=`dirname $0`/../../source/bin
DD=$samba4bindir/cifsdd
SHARE=tmp
DEBUGLEVEL=1
-failed=0
-
-testit() {
- name="$1"
- shift
- cmdline="$*"
- echo "test: $name"
- $cmdline
- status=$?
- if [ x$status = x0 ]; then
- echo "success: $name"
- else
- echo "failure: $name"
- failed=`expr $failed + 1`
- fi
- return $status
-}
-
runcopy() {
message="$1"
shift
testit "$message" $VALGRIND $DD $CONFIGURATION --debuglevel=$DEBUGLEVEL -W "$DOMAIN" -U "$USERNAME"%"$PASSWORD" \
- "$@"
+ "$@" || failed=`expr $failed + 1`
}
compare() {
- testit "$1" cmp "$2" "$3"
+ testit "$1" cmp "$2" "$3" || failed=`expr $failed + 1`
}
sourcepath=tempfile.src.$$